## ros-one-euscollada 0.4.5-39jammy.20251023.1008

=== debian/changelog ===
ros-one-euscollada (0.4.5-39jammy.20251023.1008) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:08:52 +0000

ros-one-euscollada (0.4.5-0jammy) jammy; urgency=high

  * [collada2eus_urdfmodel.cpp] print links in the order of link names (#252 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/252>)
  * enable to read custom limb name from .yaml file (fix for #249 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/249>) (#250 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/250>)
    
      * [collada2eus_urdfmodel.cpp] refactor code
      * [euscollada] add generate-pr2-custom-limb-test
      * [collada2eus_urdfmodel.cpp] fix comment. fix indent
      * [collada2eus_urdfmodel.cpp] support multiple config_files
      * enable to read custom limb name from .yaml file: ignore sensors key. ignore limb with invalid joint
      * [collada2eus_urdfmodel.cpp] change duplicated variable name
      * enable to read custom limb name from .yaml file: if the limb name is other than head,torso,larm,rarm,lleg,rleg, we set limb name to robot models
    
  * On Noetic build environment, only python3 is available (#247 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/247>)
  * Contributors: Kei Okada, Naoki-Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-euscollada (0.4.4-0jammy) jammy; urgency=high

  * support use_simple_geometry, with bounding box (#244 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/244>)
  * keep sensor_id correctly from collada (#236 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/236>)
  * Noetic support (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * fix for python3: use a in b, instead of b.has_key(a)
      * fix for python3 with 2to3 -w -f print
        add from __future__ import print_function
      * noetic does not have xacro.py, use xacro, skip teset if openhrp3 is not found
      * fix for python3 with 2to3 -w -f print
      * manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
    
  * add mimic joint support for collada2eus (#225 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/225>)
    
      * not sure why but we need double check 'strm' since  https://travis-ci.org/jsk-ros-pkg/jsk_model_tools/builds/632871892
      * suport calc-jacobian for mimnic joints, with tests
      * support mimic joints
      * introduce mimic-joint-parmas, rotational-mimic-joint, linear-mimic-joint class
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-euscollada (0.4.3-0jammy) jammy; urgency=high

  * fix for urdfmodel 1.0.0 (melodic) (#221 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/221>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-euscollada (0.4.2-0jammy) jammy; urgency=high

  * collada2eus_urdfmodel: append :provide on bottom; force flush (#219 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/219>)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-euscollada (0.4.1-0jammy) jammy; urgency=high

  * [euscollada] fix collision model for version 0.4.0f( #218 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/218>)
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-euscollada (0.4.0-0jammy) jammy; urgency=high

  * Replace euscollada for using ROS collada/urdf parser. It can convert both collada and urdf to eusmodel (#216 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/216>)
    * [euscollada] previous collada2eus can be used by collada2eus.orig
    * [euscollada, collada2eus_urdfmodel] switch default model format (:collada->:urdf)
    * [euscollada] use collada2eus_urdfmodel as collada2eus
    * [euscollada,collada2eus_urdfmodel] fix parsing arguments
    * [euscollada,collada2eus_urdfmodel] fix reset-pose
    * [euscollada,collada2eus,collada2eus_urdfmodel] fix centroid
    * [euscollada, euscollada-robot.l] fix inertia conversion when weight is zero
    * [euscollada] fix message when robot.yaml has shorter length of angle-vector
    * [euscollada] do not make small cube for link without geometry
    * [euscollada] fix using _fixed_jt as slot name for fixed joint
    * [euscollada] add add_normal argument
  * [euscollada] fix travis testtest (#215 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/215>)
    * fix timeout for reading stream
    * set origin of robot before comparing centroid
  * Update collada2eus_urdfmodel (#212 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/212>)
    * [euscollada/collada2eus_urdfmodel] update for using non mesh geometry(BOX, CYLINDER, SPHERE)
    * [euscollada/collada2eus_urdfmodel] fix, the same as #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174>
    * [euscollada/collada2eus_urdfmodel] fix warning message for reading urdf file
    * [euscollada/collada2eus_urdfmodel] fix min-max range for a continuous joint
    * [euscollada/collada2eus_urdfmodel] fix for writing non mesh geometry
  * fix to run installed euscollada (#213 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/213>)
    * enable to run within write-protected directory
    * euscollada: install sh fails as PROGRAMS
  * src/collada2eus.cpp: fix wrong python style string #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174> (#204 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/204>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-euscollada (0.3.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000



## ros-one-euscollada 0.4.5-39jammy.20251207.2245

=== debian/changelog ===
ros-one-euscollada (0.4.5-39jammy.20251207.2245) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 22:45:51 +0000

## ros-one-euscollada 0.4.5-39jammy.20260221.2139

=== debian/changelog ===
ros-one-euscollada (0.4.5-39jammy.20260221.2139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 21:39:24 +0000

## ros-one-euscollada 0.4.5-39noble.20251023.1025

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(euscollada)

# check rosversion if >=indigo
execute_process(
  COMMAND python$ENV{ROS_PYTHON_VERSION} -c "import sys; sys.exit(ord('$ENV{ROS_DISTRO}'[0]) >= ord('indigo'[0]))"
  RESULT_VARIABLE rosversion_ge_indigo)

# noetic collada_urdf could not find_packag-ed due to https://github.com/ros/collada_urdf/issues/43
if("$ENV{ROS_DISTRO}" STREQUAL "noetic" OR "$ENV{ROS_DISTRO}" STREQUAL "one")
  set(collada_urdf_CONFIG_INCLUDED TRUE)
  set(libraries "collada_urdf")
  foreach(library ${libraries})
    list(APPEND collada_urdf_LIBRARIES ${library})
  endforeach(library ${libraries})
endif("$ENV{ROS_DISTRO}" STREQUAL "noetic")

IF(${rosversion_ge_indigo})
find_package(catkin REQUIRED COMPONENTS collada_urdf rospack collada_parser resource_retriever rostest)
ELSE()
find_package(catkin REQUIRED COMPONENTS collada_urdf rospack collada_parser urdfdom resource_retriever rostest)
ENDIF()

catkin_package()

set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:${CATKIN_DEVEL_PREFIX}/lib/pkgconfig")

find_package(PkgConfig)
IF(${rosversion_ge_indigo})
pkg_check_modules(urdf_dom urdfdom REQUIRED)
ENDIF()
pkg_check_modules(colladadom collada-dom-150 REQUIRED)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
IF(${yaml_cpp_VERSION} VERSION_GREATER "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_CURRENT_YAML")
ENDIF()
pkg_check_modules(assimpdevel assimp_devel REQUIRED)
## qhull >= 0.29.2 uses /usr/include/libqhull instead of /usr/linclude/qhull
pkg_check_modules(qhull qhull)
if("${qhull_FOUND}" AND "${qhull_VERSION}" VERSION_GREATER "0.29.1")
  add_definitions("-DQHULL_INCLUDE_LIBQHULL")
endif()


pkg_check_modules(URDFDOM REQUIRED urdfdom)
message(STATUS "Find URDFDOM ${URDFDOM_VERSION}")

include_directories(${catkin_INCLUDE_DIRS} ${colladadom_INCLUDE_DIRS} ${yaml_cpp_INCLUDE_DIRS} ${assimpdevel_INCLUDE_DIRS} ${urdf_dom_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${assimpdevel_LIBRARY_DIRS})

### original collada2eus until ver 0.3.5
add_executable(collada2eus.orig src/collada2eus.cpp)
target_link_libraries(collada2eus.orig ${catkin_LIBRARIES} qhull ${yaml_cpp_LIBRARIES} ${colladadom_LIBRARIES} ${recource_retriever_LIBRARIES})
add_dependencies(collada2eus.orig libassimp_devel)

find_package(Boost REQUIRED system filesystem)
include_directories(${Boost_INCLUDE_DIR})
add_executable(collada2eus src/collada2eus_urdfmodel.cpp)
target_link_libraries(collada2eus ${catkin_LIBRARIES} qhull ${yaml_cpp_LIBRARIES} ${colladadom_LIBRARIES} ${collada_parser_LIBRARIES} ${recource_retriever_LIBRARIES} ${assimpdevel_LIBRARIES} ${Boost_LIBRARIES} ${urdf_dom_LIBRARIES})
add_dependencies(collada2eus libassimp_devel)
if ("${URDFDOM_VERSION}" VERSION_EQUAL "1.0.0" OR "${URDFDOM_VERSION}" VERSION_GREATER "1.0.0")
  target_compile_definitions(collada2eus PRIVATE -DURDFDOM_1_0_0_API)
endif()

install(TARGETS collada2eus collada2eus.orig
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY src scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.cpp" EXCLUDE)


file(GLOB _install_yaml_files RELATIVE ${PROJECT_SOURCE_DIR} *.yaml)
install(FILES ${_install_yaml_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
file(GLOB _install_sh_files RELATIVE ${PROJECT_SOURCE_DIR} *.sh)
install(PROGRAMS ${_install_sh_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})


if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/euscollada-model-conversion.test)
  add_rostest(test/test-mimic.test)
endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-one-euscollada (0.4.5-39noble.20251023.1025) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:25:14 +0000

ros-one-euscollada (0.4.5-0noble) noble; urgency=high

  * [collada2eus_urdfmodel.cpp] print links in the order of link names (#252 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/252>)
  * enable to read custom limb name from .yaml file (fix for #249 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/249>) (#250 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/250>)
    
      * [collada2eus_urdfmodel.cpp] refactor code
      * [euscollada] add generate-pr2-custom-limb-test
      * [collada2eus_urdfmodel.cpp] fix comment. fix indent
      * [collada2eus_urdfmodel.cpp] support multiple config_files
      * enable to read custom limb name from .yaml file: ignore sensors key. ignore limb with invalid joint
      * [collada2eus_urdfmodel.cpp] change duplicated variable name
      * enable to read custom limb name from .yaml file: if the limb name is other than head,torso,larm,rarm,lleg,rleg, we set limb name to robot models
    
  * On Noetic build environment, only python3 is available (#247 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/247>)
  * Contributors: Kei Okada, Naoki-Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-euscollada (0.4.4-0noble) noble; urgency=high

  * support use_simple_geometry, with bounding box (#244 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/244>)
  * keep sensor_id correctly from collada (#236 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/236>)
  * Noetic support (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * fix for python3: use a in b, instead of b.has_key(a)
      * fix for python3 with 2to3 -w -f print
        add from __future__ import print_function
      * noetic does not have xacro.py, use xacro, skip teset if openhrp3 is not found
      * fix for python3 with 2to3 -w -f print
      * manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
    
  * add mimic joint support for collada2eus (#225 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/225>)
    
      * not sure why but we need double check 'strm' since  https://travis-ci.org/jsk-ros-pkg/jsk_model_tools/builds/632871892
      * suport calc-jacobian for mimnic joints, with tests
      * support mimic joints
      * introduce mimic-joint-parmas, rotational-mimic-joint, linear-mimic-joint class
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-euscollada (0.4.3-0noble) noble; urgency=high

  * fix for urdfmodel 1.0.0 (melodic) (#221 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/221>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-euscollada (0.4.2-0noble) noble; urgency=high

  * collada2eus_urdfmodel: append :provide on bottom; force flush (#219 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/219>)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-euscollada (0.4.1-0noble) noble; urgency=high

  * [euscollada] fix collision model for version 0.4.0f( #218 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/218>)
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-euscollada (0.4.0-0noble) noble; urgency=high

  * Replace euscollada for using ROS collada/urdf parser. It can convert both collada and urdf to eusmodel (#216 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/216>)
    * [euscollada] previous collada2eus can be used by collada2eus.orig
    * [euscollada, collada2eus_urdfmodel] switch default model format (:collada->:urdf)
    * [euscollada] use collada2eus_urdfmodel as collada2eus
    * [euscollada,collada2eus_urdfmodel] fix parsing arguments
    * [euscollada,collada2eus_urdfmodel] fix reset-pose
    * [euscollada,collada2eus,collada2eus_urdfmodel] fix centroid
    * [euscollada, euscollada-robot.l] fix inertia conversion when weight is zero
    * [euscollada] fix message when robot.yaml has shorter length of angle-vector
    * [euscollada] do not make small cube for link without geometry
    * [euscollada] fix using _fixed_jt as slot name for fixed joint
    * [euscollada] add add_normal argument
  * [euscollada] fix travis testtest (#215 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/215>)
    * fix timeout for reading stream
    * set origin of robot before comparing centroid
  * Update collada2eus_urdfmodel (#212 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/212>)
    * [euscollada/collada2eus_urdfmodel] update for using non mesh geometry(BOX, CYLINDER, SPHERE)
    * [euscollada/collada2eus_urdfmodel] fix, the same as #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174>
    * [euscollada/collada2eus_urdfmodel] fix warning message for reading urdf file
    * [euscollada/collada2eus_urdfmodel] fix min-max range for a continuous joint
    * [euscollada/collada2eus_urdfmodel] fix for writing non mesh geometry
  * fix to run installed euscollada (#213 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/213>)
    * enable to run within write-protected directory
    * euscollada: install sh fails as PROGRAMS
  * src/collada2eus.cpp: fix wrong python style string #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174> (#204 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/204>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-euscollada (0.3.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000



=== debian/control ===
Source: ros-one-euscollada
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-one-assimp-devel, ros-one-catkin, ros-one-cmake-modules, ros-one-collada-parser, ros-one-collada-urdf, ros-one-mk, ros-one-resource-retriever, ros-one-rosboost-cfg, ros-one-rosbuild, ros-one-roscpp, ros-one-rospack, ros-one-rostest, ros-one-tf, ros-one-urdf
Homepage: http://ros.org/wiki/euscollada
Standards-Version: 3.9.2

Package: ros-one-euscollada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-one-assimp-devel, ros-one-collada-parser, ros-one-collada-urdf, ros-one-resource-retriever, ros-one-roscpp, ros-one-rospack, ros-one-rostest, ros-one-tf, ros-one-urdf
Description: euscollada

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-euscollada//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-euscollada 0.4.5-39noble.20251208.0940

=== debian/changelog ===
ros-one-euscollada (0.4.5-39noble.20251208.0940) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 09:40:18 +0000

## ros-one-euscollada 0.4.5-39noble.20260221.2228

=== debian/changelog ===
ros-one-euscollada (0.4.5-39noble.20260221.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:28:51 +0000
